<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZExpansion: ExpansionDialogBookBase Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZExpansion<span id="projectnumber">&#160;1.7.12</span>
   </div>
   <div id="projectbrief">DayZExpansion Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d6/d16/a04077.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pri-methods">Private Member Functions</a>  </div>
  <div class="headertitle"><div class="title">ExpansionDialogBookBase Class Reference</div></div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for ExpansionDialogBookBase:</div>
<div class="dyncontent">
 <div class="center">
  <img src="../../d6/d16/a04077.png" usemap="#ExpansionDialogBookBase_map" alt=""/>
  <map id="ExpansionDialogBookBase_map" name="ExpansionDialogBookBase_map">
<area href="../../dd/db3/a05121.html" alt="ExpansionDialogBase" shape="rect" coords="0,0,162,24"/>
  </map>
</div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-methods" name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:a14836c07f5ac50538cfdacd8b6bcd411"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d0/d4a/a01862.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/d16/a04077.html#a14836c07f5ac50538cfdacd8b6bcd411">GetLayoutFile</a> ()</td></tr>
<tr class="separator:a14836c07f5ac50538cfdacd8b6bcd411"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa1dcd18065f44ed314f79d319711abe5"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/d16/a04077.html#aa1dcd18065f44ed314f79d319711abe5">SetBaseDialogView</a> ()</td></tr>
<tr class="separator:aa1dcd18065f44ed314f79d319711abe5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6f47cf9e8734fd2ef71b12e22ff34ed1"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/d16/a04077.html#a6f47cf9e8734fd2ef71b12e22ff34ed1">SetContentSize</a> ()</td></tr>
<tr class="separator:a6f47cf9e8734fd2ef71b12e22ff34ed1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad69864f41c3ca23053532e6ef8f3ac5c"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/d16/a04077.html#ad69864f41c3ca23053532e6ef8f3ac5c">SwitchMovementLockState</a> (bool lockMovement)</td></tr>
<tr class="separator:ad69864f41c3ca23053532e6ef8f3ac5c"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p >ExpansionScriptView.c</p>
<p >DayZ Expansion Mod www.dayzexpansion.com © 2022 DayZ Expansion Mod Team</p>
<p >This work is licensed under the Creative Commons Attribution-NonCommercial-NoDerivatives 4.0 International License. To view a copy of this license, visit <a href="http://creativecommons.org/licenses/by-nc-nd/4.0/">http://creativecommons.org/licenses/by-nc-nd/4.0/</a>. </p>

<p class="definition">Definition at line <a class="el" href="../../d0/d5c/a00668_source.html#l00013">13</a> of file <a class="el" href="../../d0/d5c/a00668_source.html">expansiondialogbookbase.c</a>.</p>
</div><h2 class="groupheader">Member Function Documentation</h2>
<a id="a14836c07f5ac50538cfdacd8b6bcd411" name="a14836c07f5ac50538cfdacd8b6bcd411"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a14836c07f5ac50538cfdacd8b6bcd411">&#9670;&#160;</a></span>GetLayoutFile()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d0/d4a/a01862.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a> ExpansionDialogBookBase::GetLayoutFile </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d0/d5c/a00668_source.html#l00015">15</a> of file <a class="el" href="../../d0/d5c/a00668_source.html">expansiondialogbookbase.c</a>.</p>

</div>
</div>
<a id="aa1dcd18065f44ed314f79d319711abe5" name="aa1dcd18065f44ed314f79d319711abe5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa1dcd18065f44ed314f79d319711abe5">&#9670;&#160;</a></span>SetBaseDialogView()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void ExpansionDialogBookBase::SetBaseDialogView </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d0/d5c/a00668_source.html#l00020">20</a> of file <a class="el" href="../../d0/d5c/a00668_source.html">expansiondialogbookbase.c</a>.</p>

</div>
</div>
<a id="a6f47cf9e8734fd2ef71b12e22ff34ed1" name="a6f47cf9e8734fd2ef71b12e22ff34ed1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6f47cf9e8734fd2ef71b12e22ff34ed1">&#9670;&#160;</a></span>SetContentSize()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ExpansionDialogBookBase::SetContentSize </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d0/d5c/a00668_source.html#l00027">27</a> of file <a class="el" href="../../d0/d5c/a00668_source.html">expansiondialogbookbase.c</a>.</p>

</div>
</div>
<a id="ad69864f41c3ca23053532e6ef8f3ac5c" name="ad69864f41c3ca23053532e6ef8f3ac5c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad69864f41c3ca23053532e6ef8f3ac5c">&#9670;&#160;</a></span>SwitchMovementLockState()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ExpansionDialogBookBase::SwitchMovementLockState </td>
          <td>(</td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>lockMovement</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d0/d5c/a00668_source.html#l00051">51</a> of file <a class="el" href="../../d0/d5c/a00668_source.html">expansiondialogbookbase.c</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>DayzExpansion/Book/Scripts/5_mission/dayzexpansion_book/book/dialogs/<a class="el" href="../../d0/d5c/a00668_source.html">expansiondialogbookbase.c</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../d6/d16/a04077.html">ExpansionDialogBookBase</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
